$title  Example 4: Changes the graph size, y range and location of key:

set t /1990*2030/, j /a,b,c,d/;

set decade(*) / 1990, 2000, 2010, 2020, 2030/;

parameter a(t,j)  Example 4: Changing graph size and scaling ;
a("1990",j) = 1;
loop(t,  a(t+1,j) = a(t,j) * (1 + 0.04 * uniform(0.2,1.8)); );

$setglobal labels decade

$setglobal gp_opt5 "set xlabel 'Year -- time step annual'"
$setglobal gp_opt6 "set ylabel 'Value'"

$setglobal gp_opt1 "set size 0.8,0.8"
$setglobal gp_opt2 "set key  outside right"
$setglobal gp_opt3 "set grid"
$setglobal gp_opt4 "set yrange [0:3]"
$libinclude plot A

$setglobal batch yes
$setglobal  gp_opt5 "set output 'ex4_37.png'"
$setglobal  gp_opt6 "set term png crop"
$libinclude plot A


