$title Example 8: Plotting Two-Dimensional Series 

set     i       Commodities     /i1*i3/,
        r       Regions         /r1*r3/,
        t       Time periods    /2000*2100/
        s(i,r)  Plot series;

s(i,r) = yes;

parameter       prices(t,i,r)   Commodity prices;


prices(t,i,r) = 1;
loop(t,  prices(t+1,i,r) = prices(t,i,r) * (1 + 0.04 * uniform(0.2,1.8)); );

$setglobal gp_opt1 'set key top left'
$setglobal series s
$libinclude plot prices 


$setglobal batch yes
$setglobal gp_opt2 "set size 0.9,0.8"
$setglobal gp_opt3 "set term png crop"
$setglobal gp_opt4 "set output 'ex8_37.png'"
$libinclude plot prices 


